package org.jivesoftware.smack.filter;

import java.util.Iterator;
import org.jivesoftware.smack.packet.Stanza;

public class AndFilter extends AbstractListFilter implements StanzaFilter {
   public AndFilter() {
   }

   public AndFilter(StanzaFilter... filters) {
      super(filters);
   }

   public boolean accept(Stanza packet) {
      Iterator i$ = this.filters.iterator();

      StanzaFilter filter;
      do {
         if (!i$.hasNext()) {
            return true;
         }

         filter = (StanzaFilter)i$.next();
      } while(filter.accept(packet));

      return false;
   }
}
